import{S as yn,i as xn,s as wn,e as t,k as r,w as m,t as c,M as kn,c as n,d as a,m as o,a as i,x as v,h,b as l,G as e,g as u,y,L as jn,q as x,o as w,B as k,v as bn}from"../../chunks/vendor-hf-doc-builder.js";import{I as b}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as Lt}from"../../chunks/CodeBlock-hf-doc-builder.js";function _n(Ct){let _,xe,$,H,Zs,Q,Xe,Xs,sa,we,U,ea,Y,aa,ta,ke,I,q,se,Z,na,ee,la,je,X,be,E,M,ae,ss,ia,te,ra,_e,j,oa,ne,pa,ca,es,ha,ua,as,fa,da,$e,P,R,le,ts,ga,ie,ma,Ie,ns,Ee,A,D,re,ls,va,oe,ya,Pe,T,z,pe,is,xa,ce,wa,Ae,f,rs,Ns,ka,ja,os,Ls,ba,_a,ps,Cs,$a,Ia,cs,Fs,Ea,Pa,hs,Hs,Aa,Ta,us,Us,Sa,Na,fs,qs,La,Ca,ds,Ms,Fa,Ha,gs,Rs,Ua,qa,ms,Ds,Ma,Ra,vs,zs,Da,za,ys,Ws,Wa,Ba,xs,Bs,Ja,Te,S,W,he,ws,Oa,ue,Ga,Se,N,ks,Js,Va,Ka,js,Os,Qa,Ne,L,B,fe,bs,Ya,de,Za,Le,g,_s,Gs,Xa,st,$s,Vs,et,at,Is,Ks,tt,nt,Es,Qs,lt,Ce,C,J,ge,Ps,it,me,rt,Fe,As,He,F,O,ve,Ts,ot,ye,pt,Ue,G,ct,Ss,ht,ut,qe,Ys,ft,Me;return Q=new b({}),Z=new b({}),X=new Lt({props:{code:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`,highlighted:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`}}),ss=new b({}),ts=new b({}),ns=new Lt({props:{code:`import { HfInference } from '@huggingface/inference'

const hf = new HfInference('your api key')

// Natural Language

await hf.fillMask({
  model: 'bert-base-uncased',
  inputs: '[MASK] world!'
})

await hf.summarization({
  model: 'facebook/bart-large-cnn',
  inputs:
    'The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.',
  parameters: {
    max_length: 100
  }
})

await hf.questionAnswer({
  model: 'deepset/roberta-base-squad2',
  inputs: {
    question: 'What is the capital of France?',
    context: 'The capital of France is Paris.'
  }
})

await hf.tableQuestionAnswer({
  model: 'google/tapas-base-finetuned-wtq',
  inputs: {
    query: 'How many stars does the transformers repository have?',
    table: {
      Repository: ['Transformers', 'Datasets', 'Tokenizers'],
      Stars: ['36542', '4512', '3934'],
      Contributors: ['651', '77', '34'],
      'Programming language': ['Python', 'Python', 'Rust, Python and NodeJS']
    }
  }
})

await hf.textClassification({
  model: 'distilbert-base-uncased-finetuned-sst-2-english',
  inputs: 'I like you. I love you.'
})

await hf.textGeneration({
  model: 'gpt2',
  inputs: 'The answer to the universe is'
})

await hf.tokenClassification({
  model: 'dbmdz/bert-large-cased-finetuned-conll03-english',
  inputs: 'My name is Sarah Jessica Parker but you can call me Jessica'
})

await hf.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await hf.zeroShotClassification({
  model: 'facebook/bart-large-mnli',
  inputs: [
    'Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!'
  ],
  parameters: { candidate_labels: ['refund', 'legal', 'faq'] }
})

await hf.conversational({
  model: 'microsoft/DialoGPT-large',
  inputs: {
    past_user_inputs: ['Which movie is the best ?'],
    generated_responses: ['It is Die Hard for sure.'],
    text: 'Can you explain why ?'
  }
})

await hf.featureExtraction({
  model: 'sentence-transformers/paraphrase-xlm-r-multilingual-v1',
  inputs: {
    source_sentence: 'That is a happy person',
    sentences: [
      'That is a happy dog',
      'That is a very happy person',
      'Today is a sunny day'
    ]
  }
})

// Audio

await hf.automaticSpeechRecognition({
  model: 'facebook/wav2vec2-large-960h-lv60-self',
  data: readFileSync('test/sample1.flac')
})

await hf.audioClassification({
  model: 'superb/hubert-large-superb-er',
  data: readFileSync('test/sample1.flac')
})

// Computer Vision

await hf.imageClassification({
  data: readFileSync('test/cheetah.png'),
  model: 'google/vit-base-patch16-224'
})

await hf.objectDetection({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50'
})

await hf.imageSegmentation({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50-panoptic'
})

await hf.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/inference&#x27;</span>

<span class="hljs-keyword">const</span> hf = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-string">&#x27;your api key&#x27;</span>)

<span class="hljs-comment">// Natural Language</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">fillMask</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;bert-base-uncased&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;[MASK] world!&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">summarization</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-cnn&#x27;</span>,
  <span class="hljs-attr">inputs</span>:
    <span class="hljs-string">&#x27;The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">max_length</span>: <span class="hljs-number">100</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">questionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;deepset/roberta-base-squad2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">question</span>: <span class="hljs-string">&#x27;What is the capital of France?&#x27;</span>,
    <span class="hljs-attr">context</span>: <span class="hljs-string">&#x27;The capital of France is Paris.&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tableQuestionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/tapas-base-finetuned-wtq&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">query</span>: <span class="hljs-string">&#x27;How many stars does the transformers repository have?&#x27;</span>,
    <span class="hljs-attr">table</span>: {
      <span class="hljs-title class_">Repository</span>: [<span class="hljs-string">&#x27;Transformers&#x27;</span>, <span class="hljs-string">&#x27;Datasets&#x27;</span>, <span class="hljs-string">&#x27;Tokenizers&#x27;</span>],
      <span class="hljs-title class_">Stars</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>, <span class="hljs-string">&#x27;4512&#x27;</span>, <span class="hljs-string">&#x27;3934&#x27;</span>],
      <span class="hljs-title class_">Contributors</span>: [<span class="hljs-string">&#x27;651&#x27;</span>, <span class="hljs-string">&#x27;77&#x27;</span>, <span class="hljs-string">&#x27;34&#x27;</span>],
      <span class="hljs-string">&#x27;Programming language&#x27;</span>: [<span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Rust, Python and NodeJS&#x27;</span>]
    }
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;distilbert-base-uncased-finetuned-sst-2-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;I like you. I love you.&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textGeneration</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;gpt2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tokenClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;dbmdz/bert-large-cased-finetuned-conll03-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Sarah Jessica Parker but you can call me Jessica&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">zeroShotClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-mnli&#x27;</span>,
  <span class="hljs-attr">inputs</span>: [
    <span class="hljs-string">&#x27;Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!&#x27;</span>
  ],
  <span class="hljs-attr">parameters</span>: { <span class="hljs-attr">candidate_labels</span>: [<span class="hljs-string">&#x27;refund&#x27;</span>, <span class="hljs-string">&#x27;legal&#x27;</span>, <span class="hljs-string">&#x27;faq&#x27;</span>] }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">conversational</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;microsoft/DialoGPT-large&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">past_user_inputs</span>: [<span class="hljs-string">&#x27;Which movie is the best ?&#x27;</span>],
    <span class="hljs-attr">generated_responses</span>: [<span class="hljs-string">&#x27;It is Die Hard for sure.&#x27;</span>],
    <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Can you explain why ?&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">featureExtraction</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;sentence-transformers/paraphrase-xlm-r-multilingual-v1&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">source_sentence</span>: <span class="hljs-string">&#x27;That is a happy person&#x27;</span>,
    <span class="hljs-attr">sentences</span>: [
      <span class="hljs-string">&#x27;That is a happy dog&#x27;</span>,
      <span class="hljs-string">&#x27;That is a very happy person&#x27;</span>,
      <span class="hljs-string">&#x27;Today is a sunny day&#x27;</span>
    ]
  }
})

<span class="hljs-comment">// Audio</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">automaticSpeechRecognition</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/wav2vec2-large-960h-lv60-self&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">audioClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;superb/hubert-large-superb-er&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-comment">// Computer Vision</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageClassification</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cheetah.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/vit-base-patch16-224&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">objectDetection</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageSegmentation</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50-panoptic&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),ls=new b({}),is=new b({}),ws=new b({}),bs=new b({}),Ps=new b({}),As=new Lt({props:{code:'HF_ACCESS_TOKEN="your access token" npm run test',highlighted:"HF_ACCESS_TOKEN=&quot;your access token&quot; npm run test"}}),Ts=new b({}),{c(){_=t("meta"),xe=r(),$=t("h1"),H=t("a"),Zs=t("span"),m(Q.$$.fragment),Xe=r(),Xs=t("span"),sa=c("\u{1F917} Hugging Face Inference API"),we=r(),U=t("p"),ea=c("A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),Y=t("a"),aa=c("Hugging Face"),ta=c("."),ke=r(),I=t("h2"),q=t("a"),se=t("span"),m(Z.$$.fragment),na=r(),ee=t("span"),la=c("Install"),je=r(),m(X.$$.fragment),be=r(),E=t("h2"),M=t("a"),ae=t("span"),m(ss.$$.fragment),ia=r(),te=t("span"),ra=c("Usage"),_e=r(),j=t("p"),oa=c("\u2757"),ne=t("strong"),pa=c("Important note:"),ca=c(" Using an API key is optional to get started, however you will be rate limited eventually. Join "),es=t("a"),ha=c("Hugging Face"),ua=c(" and then visit "),as=t("a"),fa=c("access tokens"),da=c(" to generate your API key. Note that this API key should be kept private and used exclusively for experimental purposes on the web. If you need to protect it, we suggest setting up a proxy server since we currently do not provide an OAuth solution."),$e=r(),P=t("h3"),R=t("a"),le=t("span"),m(ts.$$.fragment),ga=r(),ie=t("span"),ma=c("Basic examples"),Ie=r(),m(ns.$$.fragment),Ee=r(),A=t("h2"),D=t("a"),re=t("span"),m(ls.$$.fragment),va=r(),oe=t("span"),ya=c("Supported Tasks"),Pe=r(),T=t("h3"),z=t("a"),pe=t("span"),m(is.$$.fragment),xa=r(),ce=t("span"),wa=c("Natural Language Processing"),Ae=r(),f=t("ul"),rs=t("li"),Ns=t("input"),ka=c(" Fill mask"),ja=r(),os=t("li"),Ls=t("input"),ba=c(" Summarization"),_a=r(),ps=t("li"),Cs=t("input"),$a=c(" Question answering"),Ia=r(),cs=t("li"),Fs=t("input"),Ea=c(" Table question answering"),Pa=r(),hs=t("li"),Hs=t("input"),Aa=c(" Text classification"),Ta=r(),us=t("li"),Us=t("input"),Sa=c(" Text generation"),Na=r(),fs=t("li"),qs=t("input"),La=c(" Text2Text generation"),Ca=r(),ds=t("li"),Ms=t("input"),Fa=c(" Token classification"),Ha=r(),gs=t("li"),Rs=t("input"),Ua=c(" Named entity recognition"),qa=r(),ms=t("li"),Ds=t("input"),Ma=c(" Translation"),Ra=r(),vs=t("li"),zs=t("input"),Da=c(" Zero-shot classification"),za=r(),ys=t("li"),Ws=t("input"),Wa=c(" Conversational"),Ba=r(),xs=t("li"),Bs=t("input"),Ja=c(" Feature extraction"),Te=r(),S=t("h3"),W=t("a"),he=t("span"),m(ws.$$.fragment),Oa=r(),ue=t("span"),Ga=c("Audio"),Se=r(),N=t("ul"),ks=t("li"),Js=t("input"),Va=c(" Automatic speech recognition"),Ka=r(),js=t("li"),Os=t("input"),Qa=c(" Audio classification"),Ne=r(),L=t("h3"),B=t("a"),fe=t("span"),m(bs.$$.fragment),Ya=r(),de=t("span"),Za=c("Computer Vision"),Le=r(),g=t("ul"),_s=t("li"),Gs=t("input"),Xa=c(" Image classification"),st=r(),$s=t("li"),Vs=t("input"),et=c(" Object detection"),at=r(),Is=t("li"),Ks=t("input"),tt=c(" Image segmentation"),nt=r(),Es=t("li"),Qs=t("input"),lt=c(" Text to image"),Ce=r(),C=t("h2"),J=t("a"),ge=t("span"),m(Ps.$$.fragment),it=r(),me=t("span"),rt=c("Running tests"),Fe=r(),m(As.$$.fragment),He=r(),F=t("h2"),O=t("a"),ve=t("span"),m(Ts.$$.fragment),ot=r(),ye=t("span"),pt=c("Finding appropriate models"),Ue=r(),G=t("p"),ct=c("We have an informative documentation project called "),Ss=t("a"),ht=c("Tasks"),ut=c(" to list available models for each task and explain how each task works in detail."),qe=r(),Ys=t("p"),ft=c("It also contain demos, example outputs and other resources should you want to dig more into the ML-side of things."),this.h()},l(s){const p=kn('[data-svelte="svelte-1phssyn"]',document.head);_=n(p,"META",{name:!0,content:!0}),p.forEach(a),xe=o(s),$=n(s,"H1",{class:!0});var Re=i($);H=n(Re,"A",{id:!0,class:!0,href:!0});var Ft=i(H);Zs=n(Ft,"SPAN",{});var Ht=i(Zs);v(Q.$$.fragment,Ht),Ht.forEach(a),Ft.forEach(a),Xe=o(Re),Xs=n(Re,"SPAN",{});var Ut=i(Xs);sa=h(Ut,"\u{1F917} Hugging Face Inference API"),Ut.forEach(a),Re.forEach(a),we=o(s),U=n(s,"P",{});var De=i(U);ea=h(De,"A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),Y=n(De,"A",{href:!0,rel:!0});var qt=i(Y);aa=h(qt,"Hugging Face"),qt.forEach(a),ta=h(De,"."),De.forEach(a),ke=o(s),I=n(s,"H2",{class:!0});var ze=i(I);q=n(ze,"A",{id:!0,class:!0,href:!0});var Mt=i(q);se=n(Mt,"SPAN",{});var Rt=i(se);v(Z.$$.fragment,Rt),Rt.forEach(a),Mt.forEach(a),na=o(ze),ee=n(ze,"SPAN",{});var Dt=i(ee);la=h(Dt,"Install"),Dt.forEach(a),ze.forEach(a),je=o(s),v(X.$$.fragment,s),be=o(s),E=n(s,"H2",{class:!0});var We=i(E);M=n(We,"A",{id:!0,class:!0,href:!0});var zt=i(M);ae=n(zt,"SPAN",{});var Wt=i(ae);v(ss.$$.fragment,Wt),Wt.forEach(a),zt.forEach(a),ia=o(We),te=n(We,"SPAN",{});var Bt=i(te);ra=h(Bt,"Usage"),Bt.forEach(a),We.forEach(a),_e=o(s),j=n(s,"P",{});var V=i(j);oa=h(V,"\u2757"),ne=n(V,"STRONG",{});var Jt=i(ne);pa=h(Jt,"Important note:"),Jt.forEach(a),ca=h(V," Using an API key is optional to get started, however you will be rate limited eventually. Join "),es=n(V,"A",{href:!0,rel:!0});var Ot=i(es);ha=h(Ot,"Hugging Face"),Ot.forEach(a),ua=h(V," and then visit "),as=n(V,"A",{href:!0,rel:!0});var Gt=i(as);fa=h(Gt,"access tokens"),Gt.forEach(a),da=h(V," to generate your API key. Note that this API key should be kept private and used exclusively for experimental purposes on the web. If you need to protect it, we suggest setting up a proxy server since we currently do not provide an OAuth solution."),V.forEach(a),$e=o(s),P=n(s,"H3",{class:!0});var Be=i(P);R=n(Be,"A",{id:!0,class:!0,href:!0});var Vt=i(R);le=n(Vt,"SPAN",{});var Kt=i(le);v(ts.$$.fragment,Kt),Kt.forEach(a),Vt.forEach(a),ga=o(Be),ie=n(Be,"SPAN",{});var Qt=i(ie);ma=h(Qt,"Basic examples"),Qt.forEach(a),Be.forEach(a),Ie=o(s),v(ns.$$.fragment,s),Ee=o(s),A=n(s,"H2",{class:!0});var Je=i(A);D=n(Je,"A",{id:!0,class:!0,href:!0});var Yt=i(D);re=n(Yt,"SPAN",{});var Zt=i(re);v(ls.$$.fragment,Zt),Zt.forEach(a),Yt.forEach(a),va=o(Je),oe=n(Je,"SPAN",{});var Xt=i(oe);ya=h(Xt,"Supported Tasks"),Xt.forEach(a),Je.forEach(a),Pe=o(s),T=n(s,"H3",{class:!0});var Oe=i(T);z=n(Oe,"A",{id:!0,class:!0,href:!0});var sn=i(z);pe=n(sn,"SPAN",{});var en=i(pe);v(is.$$.fragment,en),en.forEach(a),sn.forEach(a),xa=o(Oe),ce=n(Oe,"SPAN",{});var an=i(ce);wa=h(an,"Natural Language Processing"),an.forEach(a),Oe.forEach(a),Ae=o(s),f=n(s,"UL",{class:!0});var d=i(f);rs=n(d,"LI",{class:!0});var dt=i(rs);Ns=n(dt,"INPUT",{type:!0}),ka=h(dt," Fill mask"),dt.forEach(a),ja=o(d),os=n(d,"LI",{class:!0});var gt=i(os);Ls=n(gt,"INPUT",{type:!0}),ba=h(gt," Summarization"),gt.forEach(a),_a=o(d),ps=n(d,"LI",{class:!0});var mt=i(ps);Cs=n(mt,"INPUT",{type:!0}),$a=h(mt," Question answering"),mt.forEach(a),Ia=o(d),cs=n(d,"LI",{class:!0});var vt=i(cs);Fs=n(vt,"INPUT",{type:!0}),Ea=h(vt," Table question answering"),vt.forEach(a),Pa=o(d),hs=n(d,"LI",{class:!0});var yt=i(hs);Hs=n(yt,"INPUT",{type:!0}),Aa=h(yt," Text classification"),yt.forEach(a),Ta=o(d),us=n(d,"LI",{class:!0});var xt=i(us);Us=n(xt,"INPUT",{type:!0}),Sa=h(xt," Text generation"),xt.forEach(a),Na=o(d),fs=n(d,"LI",{class:!0});var wt=i(fs);qs=n(wt,"INPUT",{type:!0}),La=h(wt," Text2Text generation"),wt.forEach(a),Ca=o(d),ds=n(d,"LI",{class:!0});var kt=i(ds);Ms=n(kt,"INPUT",{type:!0}),Fa=h(kt," Token classification"),kt.forEach(a),Ha=o(d),gs=n(d,"LI",{class:!0});var jt=i(gs);Rs=n(jt,"INPUT",{type:!0}),Ua=h(jt," Named entity recognition"),jt.forEach(a),qa=o(d),ms=n(d,"LI",{class:!0});var bt=i(ms);Ds=n(bt,"INPUT",{type:!0}),Ma=h(bt," Translation"),bt.forEach(a),Ra=o(d),vs=n(d,"LI",{class:!0});var _t=i(vs);zs=n(_t,"INPUT",{type:!0}),Da=h(_t," Zero-shot classification"),_t.forEach(a),za=o(d),ys=n(d,"LI",{class:!0});var $t=i(ys);Ws=n($t,"INPUT",{type:!0}),Wa=h($t," Conversational"),$t.forEach(a),Ba=o(d),xs=n(d,"LI",{class:!0});var It=i(xs);Bs=n(It,"INPUT",{type:!0}),Ja=h(It," Feature extraction"),It.forEach(a),d.forEach(a),Te=o(s),S=n(s,"H3",{class:!0});var Ge=i(S);W=n(Ge,"A",{id:!0,class:!0,href:!0});var tn=i(W);he=n(tn,"SPAN",{});var nn=i(he);v(ws.$$.fragment,nn),nn.forEach(a),tn.forEach(a),Oa=o(Ge),ue=n(Ge,"SPAN",{});var ln=i(ue);Ga=h(ln,"Audio"),ln.forEach(a),Ge.forEach(a),Se=o(s),N=n(s,"UL",{class:!0});var Ve=i(N);ks=n(Ve,"LI",{class:!0});var Et=i(ks);Js=n(Et,"INPUT",{type:!0}),Va=h(Et," Automatic speech recognition"),Et.forEach(a),Ka=o(Ve),js=n(Ve,"LI",{class:!0});var Pt=i(js);Os=n(Pt,"INPUT",{type:!0}),Qa=h(Pt," Audio classification"),Pt.forEach(a),Ve.forEach(a),Ne=o(s),L=n(s,"H3",{class:!0});var Ke=i(L);B=n(Ke,"A",{id:!0,class:!0,href:!0});var rn=i(B);fe=n(rn,"SPAN",{});var on=i(fe);v(bs.$$.fragment,on),on.forEach(a),rn.forEach(a),Ya=o(Ke),de=n(Ke,"SPAN",{});var pn=i(de);Za=h(pn,"Computer Vision"),pn.forEach(a),Ke.forEach(a),Le=o(s),g=n(s,"UL",{class:!0});var K=i(g);_s=n(K,"LI",{class:!0});var At=i(_s);Gs=n(At,"INPUT",{type:!0}),Xa=h(At," Image classification"),At.forEach(a),st=o(K),$s=n(K,"LI",{class:!0});var Tt=i($s);Vs=n(Tt,"INPUT",{type:!0}),et=h(Tt," Object detection"),Tt.forEach(a),at=o(K),Is=n(K,"LI",{class:!0});var St=i(Is);Ks=n(St,"INPUT",{type:!0}),tt=h(St," Image segmentation"),St.forEach(a),nt=o(K),Es=n(K,"LI",{class:!0});var Nt=i(Es);Qs=n(Nt,"INPUT",{type:!0}),lt=h(Nt," Text to image"),Nt.forEach(a),K.forEach(a),Ce=o(s),C=n(s,"H2",{class:!0});var Qe=i(C);J=n(Qe,"A",{id:!0,class:!0,href:!0});var cn=i(J);ge=n(cn,"SPAN",{});var hn=i(ge);v(Ps.$$.fragment,hn),hn.forEach(a),cn.forEach(a),it=o(Qe),me=n(Qe,"SPAN",{});var un=i(me);rt=h(un,"Running tests"),un.forEach(a),Qe.forEach(a),Fe=o(s),v(As.$$.fragment,s),He=o(s),F=n(s,"H2",{class:!0});var Ye=i(F);O=n(Ye,"A",{id:!0,class:!0,href:!0});var fn=i(O);ve=n(fn,"SPAN",{});var dn=i(ve);v(Ts.$$.fragment,dn),dn.forEach(a),fn.forEach(a),ot=o(Ye),ye=n(Ye,"SPAN",{});var gn=i(ye);pt=h(gn,"Finding appropriate models"),gn.forEach(a),Ye.forEach(a),Ue=o(s),G=n(s,"P",{});var Ze=i(G);ct=h(Ze,"We have an informative documentation project called "),Ss=n(Ze,"A",{href:!0,rel:!0});var mn=i(Ss);ht=h(mn,"Tasks"),mn.forEach(a),ut=h(Ze," to list available models for each task and explain how each task works in detail."),Ze.forEach(a),qe=o(s),Ys=n(s,"P",{});var vn=i(Ys);ft=h(vn,"It also contain demos, example outputs and other resources should you want to dig more into the ML-side of things."),vn.forEach(a),this.h()},h(){l(_,"name","hf:doc:metadata"),l(_,"content",JSON.stringify($n)),l(H,"id","hugging-face-inference-api"),l(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(H,"href","#hugging-face-inference-api"),l($,"class","relative group"),l(Y,"href","https://huggingface.co/docs/api-inference/index"),l(Y,"rel","nofollow"),l(q,"id","install"),l(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(q,"href","#install"),l(I,"class","relative group"),l(M,"id","usage"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#usage"),l(E,"class","relative group"),l(es,"href","https://huggingface.co/join"),l(es,"rel","nofollow"),l(as,"href","https://huggingface.co/settings/tokens"),l(as,"rel","nofollow"),l(R,"id","basic-examples"),l(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(R,"href","#basic-examples"),l(P,"class","relative group"),l(D,"id","supported-tasks"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#supported-tasks"),l(A,"class","relative group"),l(z,"id","natural-language-processing"),l(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(z,"href","#natural-language-processing"),l(T,"class","relative group"),l(Ns,"type","checkbox"),Ns.checked=!0,Ns.disabled=!0,l(rs,"class","task-list-item"),l(Ls,"type","checkbox"),Ls.checked=!0,Ls.disabled=!0,l(os,"class","task-list-item"),l(Cs,"type","checkbox"),Cs.checked=!0,Cs.disabled=!0,l(ps,"class","task-list-item"),l(Fs,"type","checkbox"),Fs.checked=!0,Fs.disabled=!0,l(cs,"class","task-list-item"),l(Hs,"type","checkbox"),Hs.checked=!0,Hs.disabled=!0,l(hs,"class","task-list-item"),l(Us,"type","checkbox"),Us.checked=!0,Us.disabled=!0,l(us,"class","task-list-item"),l(qs,"type","checkbox"),qs.checked=!0,qs.disabled=!0,l(fs,"class","task-list-item"),l(Ms,"type","checkbox"),Ms.checked=!0,Ms.disabled=!0,l(ds,"class","task-list-item"),l(Rs,"type","checkbox"),Rs.checked=!0,Rs.disabled=!0,l(gs,"class","task-list-item"),l(Ds,"type","checkbox"),Ds.checked=!0,Ds.disabled=!0,l(ms,"class","task-list-item"),l(zs,"type","checkbox"),zs.checked=!0,zs.disabled=!0,l(vs,"class","task-list-item"),l(Ws,"type","checkbox"),Ws.checked=!0,Ws.disabled=!0,l(ys,"class","task-list-item"),l(Bs,"type","checkbox"),Bs.checked=!0,Bs.disabled=!0,l(xs,"class","task-list-item"),l(f,"class","contains-task-list"),l(W,"id","audio"),l(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(W,"href","#audio"),l(S,"class","relative group"),l(Js,"type","checkbox"),Js.checked=!0,Js.disabled=!0,l(ks,"class","task-list-item"),l(Os,"type","checkbox"),Os.checked=!0,Os.disabled=!0,l(js,"class","task-list-item"),l(N,"class","contains-task-list"),l(B,"id","computer-vision"),l(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(B,"href","#computer-vision"),l(L,"class","relative group"),l(Gs,"type","checkbox"),Gs.checked=!0,Gs.disabled=!0,l(_s,"class","task-list-item"),l(Vs,"type","checkbox"),Vs.checked=!0,Vs.disabled=!0,l($s,"class","task-list-item"),l(Ks,"type","checkbox"),Ks.checked=!0,Ks.disabled=!0,l(Is,"class","task-list-item"),l(Qs,"type","checkbox"),Qs.checked=!0,Qs.disabled=!0,l(Es,"class","task-list-item"),l(g,"class","contains-task-list"),l(J,"id","running-tests"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#running-tests"),l(C,"class","relative group"),l(O,"id","finding-appropriate-models"),l(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(O,"href","#finding-appropriate-models"),l(F,"class","relative group"),l(Ss,"href","https://huggingface.co/tasks"),l(Ss,"rel","nofollow")},m(s,p){e(document.head,_),u(s,xe,p),u(s,$,p),e($,H),e(H,Zs),y(Q,Zs,null),e($,Xe),e($,Xs),e(Xs,sa),u(s,we,p),u(s,U,p),e(U,ea),e(U,Y),e(Y,aa),e(U,ta),u(s,ke,p),u(s,I,p),e(I,q),e(q,se),y(Z,se,null),e(I,na),e(I,ee),e(ee,la),u(s,je,p),y(X,s,p),u(s,be,p),u(s,E,p),e(E,M),e(M,ae),y(ss,ae,null),e(E,ia),e(E,te),e(te,ra),u(s,_e,p),u(s,j,p),e(j,oa),e(j,ne),e(ne,pa),e(j,ca),e(j,es),e(es,ha),e(j,ua),e(j,as),e(as,fa),e(j,da),u(s,$e,p),u(s,P,p),e(P,R),e(R,le),y(ts,le,null),e(P,ga),e(P,ie),e(ie,ma),u(s,Ie,p),y(ns,s,p),u(s,Ee,p),u(s,A,p),e(A,D),e(D,re),y(ls,re,null),e(A,va),e(A,oe),e(oe,ya),u(s,Pe,p),u(s,T,p),e(T,z),e(z,pe),y(is,pe,null),e(T,xa),e(T,ce),e(ce,wa),u(s,Ae,p),u(s,f,p),e(f,rs),e(rs,Ns),e(rs,ka),e(f,ja),e(f,os),e(os,Ls),e(os,ba),e(f,_a),e(f,ps),e(ps,Cs),e(ps,$a),e(f,Ia),e(f,cs),e(cs,Fs),e(cs,Ea),e(f,Pa),e(f,hs),e(hs,Hs),e(hs,Aa),e(f,Ta),e(f,us),e(us,Us),e(us,Sa),e(f,Na),e(f,fs),e(fs,qs),e(fs,La),e(f,Ca),e(f,ds),e(ds,Ms),e(ds,Fa),e(f,Ha),e(f,gs),e(gs,Rs),e(gs,Ua),e(f,qa),e(f,ms),e(ms,Ds),e(ms,Ma),e(f,Ra),e(f,vs),e(vs,zs),e(vs,Da),e(f,za),e(f,ys),e(ys,Ws),e(ys,Wa),e(f,Ba),e(f,xs),e(xs,Bs),e(xs,Ja),u(s,Te,p),u(s,S,p),e(S,W),e(W,he),y(ws,he,null),e(S,Oa),e(S,ue),e(ue,Ga),u(s,Se,p),u(s,N,p),e(N,ks),e(ks,Js),e(ks,Va),e(N,Ka),e(N,js),e(js,Os),e(js,Qa),u(s,Ne,p),u(s,L,p),e(L,B),e(B,fe),y(bs,fe,null),e(L,Ya),e(L,de),e(de,Za),u(s,Le,p),u(s,g,p),e(g,_s),e(_s,Gs),e(_s,Xa),e(g,st),e(g,$s),e($s,Vs),e($s,et),e(g,at),e(g,Is),e(Is,Ks),e(Is,tt),e(g,nt),e(g,Es),e(Es,Qs),e(Es,lt),u(s,Ce,p),u(s,C,p),e(C,J),e(J,ge),y(Ps,ge,null),e(C,it),e(C,me),e(me,rt),u(s,Fe,p),y(As,s,p),u(s,He,p),u(s,F,p),e(F,O),e(O,ve),y(Ts,ve,null),e(F,ot),e(F,ye),e(ye,pt),u(s,Ue,p),u(s,G,p),e(G,ct),e(G,Ss),e(Ss,ht),e(G,ut),u(s,qe,p),u(s,Ys,p),e(Ys,ft),Me=!0},p:jn,i(s){Me||(x(Q.$$.fragment,s),x(Z.$$.fragment,s),x(X.$$.fragment,s),x(ss.$$.fragment,s),x(ts.$$.fragment,s),x(ns.$$.fragment,s),x(ls.$$.fragment,s),x(is.$$.fragment,s),x(ws.$$.fragment,s),x(bs.$$.fragment,s),x(Ps.$$.fragment,s),x(As.$$.fragment,s),x(Ts.$$.fragment,s),Me=!0)},o(s){w(Q.$$.fragment,s),w(Z.$$.fragment,s),w(X.$$.fragment,s),w(ss.$$.fragment,s),w(ts.$$.fragment,s),w(ns.$$.fragment,s),w(ls.$$.fragment,s),w(is.$$.fragment,s),w(ws.$$.fragment,s),w(bs.$$.fragment,s),w(Ps.$$.fragment,s),w(As.$$.fragment,s),w(Ts.$$.fragment,s),Me=!1},d(s){a(_),s&&a(xe),s&&a($),k(Q),s&&a(we),s&&a(U),s&&a(ke),s&&a(I),k(Z),s&&a(je),k(X,s),s&&a(be),s&&a(E),k(ss),s&&a(_e),s&&a(j),s&&a($e),s&&a(P),k(ts),s&&a(Ie),k(ns,s),s&&a(Ee),s&&a(A),k(ls),s&&a(Pe),s&&a(T),k(is),s&&a(Ae),s&&a(f),s&&a(Te),s&&a(S),k(ws),s&&a(Se),s&&a(N),s&&a(Ne),s&&a(L),k(bs),s&&a(Le),s&&a(g),s&&a(Ce),s&&a(C),k(Ps),s&&a(Fe),k(As,s),s&&a(He),s&&a(F),k(Ts),s&&a(Ue),s&&a(G),s&&a(qe),s&&a(Ys)}}}const $n={local:"hugging-face-inference-api",sections:[{local:"install",title:"Install"},{local:"usage",sections:[{local:"basic-examples",title:"Basic examples"}],title:"Usage"},{local:"supported-tasks",sections:[{local:"natural-language-processing",title:"Natural Language Processing"},{local:"audio",title:"Audio"},{local:"computer-vision",title:"Computer Vision"}],title:"Supported Tasks"},{local:"running-tests",title:"Running tests"},{local:"finding-appropriate-models",title:"Finding appropriate models"}],title:"\u{1F917} Hugging Face Inference API"};function In(Ct){return bn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tn extends yn{constructor(_){super();xn(this,_,In,_n,wn,{})}}export{Tn as default,$n as metadata};
